import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';
import { NativeScriptFormsModule } from 'nativescript-angular/forms';
import { FormlyNsFormFieldModule } from '@ngx-formly/nativescript/form-field';
import { Component, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { FieldType, FormlyModule } from '@ngx-formly/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FormlyFieldText extends FieldType {
}
FormlyFieldText.decorators = [
    { type: Component, args: [{
                selector: 'formly-field-ns-input',
                template: `
    <TextField class="input"
      [formlyAttributes]="field"
      [formControl]="formControl"

      [autocorrect]="to.autocorrect"
      [secure]="to.secure"
      [hint]="to.hint"
      [keyboardType]="to.keyboardType">
    </TextField>
  `
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FormlyNsTextFieldModule {
}
FormlyNsTextFieldModule.decorators = [
    { type: NgModule, args: [{
                declarations: [FormlyFieldText],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    NativeScriptFormsModule,
                    FormlyNsFormFieldModule,
                    FormlyModule.forChild({
                        types: [
                            {
                                name: 'text-field',
                                component: FormlyFieldText,
                                wrappers: ['form-field'],
                            },
                            { name: 'input', extends: 'text-field' },
                        ],
                    }),
                ],
                schemas: [NO_ERRORS_SCHEMA],
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { FormlyNsTextFieldModule, FormlyFieldText as ɵa };

//# sourceMappingURL=ngx-formly-nativescript-text-field.js.map