import { CommonModule } from '@angular/common';
import { ReactiveFormsModule } from '@angular/forms';
import { NativeScriptFormsModule } from 'nativescript-angular/forms';
import { __extends } from 'tslib';
import { Component, ViewChild, ViewContainerRef, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { FieldWrapper, FormlyModule } from '@ngx-formly/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var FormlyWrapperFormField = /** @class */ (function (_super) {
    __extends(FormlyWrapperFormField, _super);
    function FormlyWrapperFormField() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    FormlyWrapperFormField.decorators = [
        { type: Component, args: [{
                    selector: 'formly-wrapper-ns-form-field',
                    template: "\n    <StackLayout class=\"form\">\n      <StackLayout class=\"input-field\">\n        <Label *ngIf=\"to.label && to.hideLabel !== true\" class=\"label\" [text]=\"to.label\"></Label>\n        <ng-container #fieldComponent></ng-container>\n        <StackLayout class=\"hr-light\"></StackLayout>\n        <ng-container *ngIf=\"showError\">\n          <formly-validation-message #validationMessage [field]=\"field\"></formly-validation-message>\n          <Label class=\"text-danger\" [text]=\"validationMessage.errorMessage\"></Label>\n        </ng-container>\n      </StackLayout>\n    </StackLayout>\n\n  "
                }] }
    ];
    FormlyWrapperFormField.propDecorators = {
        fieldComponent: [{ type: ViewChild, args: ['fieldComponent', { read: ViewContainerRef },] }],
        validationMessage: [{ type: ViewChild, args: ['validationMessage',] }]
    };
    return FormlyWrapperFormField;
}(FieldWrapper));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var FormlyNsFormFieldModule = /** @class */ (function () {
    function FormlyNsFormFieldModule() {
    }
    FormlyNsFormFieldModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [FormlyWrapperFormField],
                    imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        NativeScriptFormsModule,
                        FormlyModule.forChild({
                            wrappers: [{
                                    name: 'form-field',
                                    component: FormlyWrapperFormField,
                                }],
                        }),
                    ],
                    schemas: [NO_ERRORS_SCHEMA],
                },] }
    ];
    return FormlyNsFormFieldModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { FormlyNsFormFieldModule, FormlyWrapperFormField as ɵa };

//# sourceMappingURL=ngx-formly-nativescript-form-field.js.map