import { CommonModule } from '@angular/common';
import { FormlySelectModule } from '@ngx-formly/core/select';
import { ReactiveFormsModule } from '@angular/forms';
import { NativeScriptFormsModule } from 'nativescript-angular/forms';
import { FormlyNsFormFieldModule } from '@ngx-formly/nativescript/form-field';
import { __extends } from 'tslib';
import { Component, NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
import { FieldType, FormlyModule } from '@ngx-formly/core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var FormlyFieldRadio = /** @class */ (function (_super) {
    __extends(FormlyFieldRadio, _super);
    function FormlyFieldRadio() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @param {?} id
     * @return {?}
     */
    FormlyFieldRadio.prototype.tap = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        var _this = this;
        /** @type {?} */
        var value = this.formControl.value === id ? null : id;
        setTimeout(function () {
            _this.formControl.patchValue(value);
            _this.formControl.markAsTouched();
        }, 100);
    };
    FormlyFieldRadio.decorators = [
        { type: Component, args: [{
                    selector: 'formly-field-ns-radio',
                    template: "\n    <ng-container *ngFor=\"let option of to.options | formlySelectOptions:field | async;\">\n      <GridLayout class=\"input-field input-sides\" rows=\"auto, auto\" columns=\"*,*\">\n        <Label class=\"label\" [text]=\"option.label\"></Label>\n        <Switch col=\"1\" class=\"switch input\"\n          [checked]=\"formControl.value === option.value\"\n          (tap)=\"tap(option.value)\">\n        </Switch>\n       </GridLayout>\n    </ng-container>\n  "
                }] }
    ];
    return FormlyFieldRadio;
}(FieldType));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var FormlyNsRadioFieldModule = /** @class */ (function () {
    function FormlyNsRadioFieldModule() {
    }
    FormlyNsRadioFieldModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [FormlyFieldRadio],
                    imports: [
                        CommonModule,
                        ReactiveFormsModule,
                        NativeScriptFormsModule,
                        FormlyNsFormFieldModule,
                        FormlySelectModule,
                        FormlyModule.forChild({
                            types: [
                                {
                                    name: 'radio',
                                    component: FormlyFieldRadio,
                                    wrappers: ['form-field'],
                                },
                            ],
                        }),
                    ],
                    schemas: [NO_ERRORS_SCHEMA],
                },] }
    ];
    return FormlyNsRadioFieldModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { FormlyNsRadioFieldModule, FormlyFieldRadio as ɵa };

//# sourceMappingURL=ngx-formly-nativescript-radio.js.map